{% extends 'base.html.twig' %}

{% block website %}

    <div class="breadcrumbs">
        <div class="inner">
            <a href="{{ path('home') }}" class="breadcrumbs-item">Главная</a>
        </div>
    </div>
    <section>
        <div class="inner">
            <div class="head-title">
                <h1>Настройки</h1>
            </div>
        </div>
    </section>
    <section>
        <div class="inner">
            <div class="article-wrap">
                <div class="article-aside">
                    <div class="article-menu">
                        {% include 'lk/menu.html.twig' %}
                    </div>
                </div>
                <div class="article-content">
                    <h3>Изменение личных данных</h3>
                    <p>
                    <form class="form" action="{{ path('apiUserUpdateFromLK') }}" method="post" autocomplete="off" data-from-name="update-info">
                        <div class="form-item">
                            <div class="form-title">Email</div>
                            <div class="form-field">
                                <div class="form-input form-input_text">
                                    <input name="email" type="text" placeholder="Email" value="{{ app.user.email }}"/>
                                </div>
                            </div>
                        </div>
                        <div class="form-item">
                            <div class="form-title">Фамилия Имя Отчество</div>
                            <div class="form-field">
                                <div class="form-input form-input_text">
                                    <input name="fio" type="text" placeholder="Как к вам обращаться?" value="{{ app.user.fio }}"/>
                                </div>
                            </div>
                        </div>
                        <div class="form-item">
                            <div class="form-title">Телефон</div>
                            <div class="form-field">
                                <div class="form-input form-input_text">
                                    <input name="mobile" type="text" placeholder="Номер мобильного телефона" value="{{ app.user.mobile }}" data-mask="+7 999 999-99-99"/>
                                </div>
                            </div>
                        </div>
                        <div class="form-item">
                            <div class="form-field">
                                <div class="form-input form-input_checkbox">
                                    <label>
                                        <input type="checkbox" name="legal" {% if app.user.legal %}checked{% endif %}/><span>Юридическое лицо</span>
                                    </label>
                                </div>
                            </div>
                        </div>
                        <div class="form-item">
                            <div class="form-title">Банковские реквезиты (для юридических лиц)</div>
                            <div class="form-field">
                                <div class="form-input form-input_textarea">
                                    <textarea name="requisites" placeholder="Банковские реквезиты">{{ app.user.requisites }}</textarea>
                                </div>
                            </div>
                        </div>
                        <div class="form-item">
                            <div class="form-title">Адрес доставки</div>
                            <div class="form-field">
                                <div class="form-input form-input_textarea">
                                    <textarea name="address" placeholder="Адрес">{{ app.user.address }}</textarea>
                                </div>
                            </div>
                        </div>
                        <div class="form-input form-input_button">
                            <div class="btn fill" data-form-action="submit">Сохранить изменения
                            </div>
                        </div>
                    </form>
                    </p>
                    <p>&nbsp;</p>
                    <h3>Изменение подписок</h3>
                    <p>
                    <form class="form" action="{{ path('apiUserChangeSubscribe') }}" method="post" autocomplete="off" data-from-name="update-subscribe">
                        <div class="form-item">
                            <div class="form-field">
                                <div class="form-input form-input_checkbox">
                                    <label>
                                        <input type="checkbox" name="subscribe" {% if app.user.subscribe %}checked{% endif %}/><span>Присылать мне на почту информацию об акциях магазина</span>
                                    </label>
                                </div>
                            </div>
                        </div>
                        <div class="form-input form-input_button">
                            <div class="btn fill" data-form-action="submit">Сохранить изменения
                            </div>
                        </div>
                    </form>
                    </p>
                    <p>&nbsp;</p>
                    <h3>Изменение пароля</h3>
                    <p>
                    <form class="form" action="{{ path('apiUserChangePassword') }}" method="post" autocomplete="off" data-from-name="update-pass">
                        <div class="form-item">
                            <div class="form-title">Действующий пароль</div>
                            <div class="form-field">
                                <div class="form-input form-input_text">
                                    <input value="" name="current_password" type="password" placeholder="Действующий пароль"/>
                                </div>
                            </div>
                        </div>
                        <div class="form-item">
                            <div class="form-title">Новый пароль</div>
                            <div class="form-field">
                                <div class="form-input form-input_text">
                                    <input value="" name="new_password" type="password" placeholder="Новый пароль"/>
                                </div>
                            </div>
                        </div>
                        <div class="form-input form-input_button">
                            <div class="btn fill" data-form-action="submit">Изменить пароль
                            </div>
                        </div>
                    </form>
                    </p>
                </div>
            </div>
        </div>
    </section>
{% endblock %}
